Bug Hunting Session
Bug 48317 - EDITING: FEATURE REQUEST: Go to next/previous change
Summary: EDITING: FEATURE REQUEST: Go to next/previous change
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other All
: medium enhancement
Assignee: Muhammad Haggag
URL:
Whiteboard: BSA target:4.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-04 23:02 UTC by Gerd Knops
Modified: 2013-04-14 19:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerd Knops 2012-04-04 23:02:43 UTC
Currently there is no way to jump to the lexicographically next/previous change.

Similarly the "Accept or Reject Changes" panel has no way to sort the changes in lexicographical order.

Generally a workflow involving that panel is annoying, especially on a small laptop because the panel is floating.

A much better workflow would be using keyboard commands

- Go to next/previous change (missing)
- Accept/Reject Change (this exists via Tools/Customize)

Thanks!
Comment 1 Muhammad Haggag 2012-10-27 10:30:26 UTC
Working on fix. ETA: A couple of days.
Comment 2 Muhammad Haggag 2012-11-13 17:38:27 UTC
Status update: Still working on this. I've run into unexpected text selection behavior that I'm still trying to understand and fix.
Comment 3 Not Assigned 2012-11-27 13:58:08 UTC
Muhammad Haggag committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0a58556f36cbf396f5139e18881720ed838ddd4

fdo#48317 - Support jumping to next/previous change



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-11-27 15:08:45 UTC
Muhammad Haggag committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=df872eb038151f90ee6a128f33acbbd96c000a70

fdo#48317 Help content for next/previous change navigation.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.